Skip to main content

UserCatalog

getObjects

Returns the data of an Axidian Access user catalog object by internal identifier.

POST /api/v5/userCatalog/getObjects
Request object
{  
"Ids": [
"string"
],
"AccessToken": "string",
"ApplicationId": "string"
}

in the request object:

  • Ids — array of internal identifiers.
  • AccessToken — required parameter. Token of the administrator on whose behalf the API request is performed.
  • ApplicationId — required parameter. String identifier of the Axidian Access module.
Response object
{  
"Id": "string",
"RawObjectId": "string",
"Name": "string",
"CanonicalName": "string",
"PrincipalName": "string",
"SamCompatibleName": "string",
"DistinguishedName": "string",
"Sid": "string",
"IsGroup": true,
"IsContainer": true,
"IsRemoved": true,
"GroupsIds": [
"string"
],
"ContainerId": "string"
}

searchUsers

Searches for a user by the input parameters.

POST /api/v5/userCatalog/searchUsers
Request object
{  
"Operation": 0,
"Filters": [
{
"AttributeName": "string",
"Value": {},
"Negation": true
}
],
"Limit": 0,
"LoadParentObjects": true,
"AccessToken": "string",
"ApplicationId": "string"
}

in the request object:

  • Operation:
    • 0 — OR;
    • 1 — AND;
  • Filters - array of filters for the search:
    • AttributeName — name of the Active Directory attribute to search by;
    • Value — value of the Active Directory attribute to search for;
    • Negation — negation of the specified filter. Values true\false.
Response object
[  
{
"FirstName": "string",
"MiddleName": "string",
"LastName": "string",
"Email": "string",
"Phone": "string",
"IsDisabled": true,
"IsLocked": true,
"Id": "string",
"RawObjectId": "string",
"Name": "string",
"CanonicalName": "string",
"PrincipalName": "string",
"SamCompatibleName": "string",
"DistinguishedName": "string",
"Sid": "string",
"IsGroup": true,
"IsContainer": true,
"IsRemoved": true,
"GroupsIds": [
"string"
],
"ContainerId": "string"
}
]

searchGroups

Searches for a group by the input parameters.

POST /api/v5/userCatalog/searchGroups
Request object
{  
"Operation": 0,
"Filters": [
{
"AttributeName": "string",
"Value": {},
"Negation": true
}
],
"Limit": 0,
"LoadParentObjects": true,
"AccessToken": "string",
"ApplicationId": "string"
}

in the request object:

  • Operation:
    • 0 — OR;
    • 1 — AND;
  • Filters — array of filters for the search:
    • AttributeName — name of the Active Directory attribute to search by;
    • Value — value of the Active Directory attribute to search for;
    • Negation — negation of the specified filter. Values true\false.
Response object
[  
{
"FirstName": "string",
"MiddleName": "string",
"LastName": "string",
"Email": "string",
"Phone": "string",
"IsDisabled": true,
"IsLocked": true,
"Id": "string",
"RawObjectId": "string",
"Name": "string",
"CanonicalName": "string",
"PrincipalName": "string",
"SamCompatibleName": "string",
"DistinguishedName": "string",
"Sid": "string",
"IsGroup": true,
"IsContainer": true,
"IsRemoved": true,
"GroupsIds": [
"string"
],
"ContainerId": "string"
}
]

searchContainers

Searches for an organizational unit by the input parameters.

POST /api/v5/userCatalog/searchContainers
Request object
{  
"Operation": 0,
"Filters": [
{
"AttributeName": "string",
"Value": {},
"Negation": true
}
],
"Limit": 0,
"LoadParentObjects": true,
"AccessToken": "string",
"ApplicationId": "string"
}

in the request object:

  • Operation:
    • 0 — OR;
    • 1 — AND;
  • Filters — array of filters for the search:
    • AttributeName — name of the Active Directory attribute to search by;
    • Value — value of the Active Directory attribute to search for;
    • Negation — negation of the specified filter. Values true\false.
Response object
[  
{
"FirstName": "string",
"MiddleName": "string",
"LastName": "string",
"Email": "string",
"Phone": "string",
"IsDisabled": true,
"IsLocked": true,
"Id": "string",
"RawObjectId": "string",
"Name": "string",
"CanonicalName": "string",
"PrincipalName": "string",
"SamCompatibleName": "string",
"DistinguishedName": "string",
"Sid": "string",
"IsGroup": true,
"IsContainer": true,
"IsRemoved": true,
"GroupsIds": [
"string"
],
"ContainerId": "string"
}
]